Log message should follow new translation standard (use _LI, _LW, _LE, _LC and debug logs should not have translations)

Bug #1320867 reported by Gary Kotton on 2014-05-19
44
This bug affects 2 people
Affects Status Importance Assigned to Milestone
neutron
Medium
Cedric Brandily

Bug Description

Our translation policy
(https://wiki.openstack.org/wiki/LoggingStandards#Log_Translation) calls
for not translating debug level logs. This is to help prioritize log
translation. Furthermore translation has a performance overhead, even if
the log isn't used (since nova doesn't support lazy translation yet).

For log messages with priorities higher than debug, use _LI, _LW, _LE, _LC.

Changed in neutron:
assignee: nobody → Gary Kotton (garyk)
status: New → In Progress
Gary Kotton (garyk) wrote :
Changed in neutron:
milestone: none → juno-1
importance: Undecided → Medium
Kyle Mestery (mestery) on 2014-06-10
Changed in neutron:
milestone: juno-1 → juno-2
Kyle Mestery (mestery) on 2014-07-16
Changed in neutron:
milestone: juno-2 → juno-3
Thierry Carrez (ttx) on 2014-09-03
Changed in neutron:
milestone: juno-3 → juno-rc1
Kyle Mestery (mestery) wrote :

Moving medium priority bug out of Juno-RC1.

Changed in neutron:
milestone: juno-rc1 → kilo-1
Akihiro Motoki (amotoki) wrote :

I updated the subject and bug description so that this bug can cover all log messages change to follow new logging translation policy.

summary: - Log debugs should not have translations
+ Log message should follow new translation standard (use _LI, _LW, _LE,
+ _LC and debug logs should not have translations)
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/133502

Fix proposed to branch: master
Review: https://review.openstack.org/133504

Fix proposed to branch: master
Review: https://review.openstack.org/133517

Fix proposed to branch: master
Review: https://review.openstack.org/133684

Fix proposed to branch: master
Review: https://review.openstack.org/133687

Fix proposed to branch: master
Review: https://review.openstack.org/133690

Fix proposed to branch: master
Review: https://review.openstack.org/133709

Changed in neutron:
assignee: Gary Kotton (garyk) → Cedric Brandily (cbrandily)

Fix proposed to branch: master
Review: https://review.openstack.org/133723

Fix proposed to branch: master
Review: https://review.openstack.org/133732

Fix proposed to branch: master
Review: https://review.openstack.org/133743

Fix proposed to branch: master
Review: https://review.openstack.org/133747

Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Romil Gupta (romilg)
Changed in neutron:
assignee: Romil Gupta (romilg) → Cedric Brandily (cbrandily)
Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Romil Gupta (romilg)
Changed in neutron:
assignee: Romil Gupta (romilg) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → Cedric Brandily (cbrandily)
Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Romil Gupta (romilg)
Changed in neutron:
assignee: Romil Gupta (romilg) → Gary Kotton (garyk)

Fix proposed to branch: master
Review: https://review.openstack.org/134338

Changed in neutron:
assignee: Gary Kotton (garyk) → Romil Gupta (romilg)
Changed in neutron:
assignee: Romil Gupta (romilg) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → Cedric Brandily (cbrandily)
Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → Cedric Brandily (cbrandily)
Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → Cedric Brandily (cbrandily)

Reviewed: https://review.openstack.org/94018
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=e16b3a8f371e2c794d9ad59fc2d57abb1ee148e7
Submitter: Jenkins
Branch: master

commit e16b3a8f371e2c794d9ad59fc2d57abb1ee148e7
Author: Gary Kotton <email address hidden>
Date: Fri May 16 23:48:21 2014 -0700

    Update i18n translation for neutron.agents log msg's

    Don't translate debug level logs and enforce log hints
    Our translation policy
    (https://wiki.openstack.org/wiki/LoggingStandards#Log_Translation) calls
    for not translating debug level logs. This is to help prioritize log
    translation. Furthermore translation has a performance overhead, even if
    the log isn't used (since neutron doesn't support lazy translation yet).

    NOTE: this is done on a directory by directory basis to ensure that we
    do not have too many conflicts and rebases.

    Add a local hacking rule to enforce this.

    This patch set enforces the directory neutron/agents

    Partial-bug: #1320867

    Change-Id: I4bd562e5138c2d2850072440aa121f27e902463a

Reviewed: https://review.openstack.org/133495
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=99cd58ae4512502859b2ae2bf3663cacbb197bca
Submitter: Jenkins
Branch: master

commit 99cd58ae4512502859b2ae2bf3663cacbb197bca
Author: Gary Kotton <email address hidden>
Date: Mon Nov 10 07:07:34 2014 -0800

    Update i18n translation for neutron.cmd log msg's

    Validate that hacking rules apply to directory neutron/cmd

    Change-Id: I7fbeba035e8a7f7602fef96a0e10cec5298b08f3
    Partial-bug: #1320867

Reviewed: https://review.openstack.org/133502
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=069aa9d1eda823fe7ecf8729b9db5423391ce655
Submitter: Jenkins
Branch: master

commit 069aa9d1eda823fe7ecf8729b9db5423391ce655
Author: Gary Kotton <email address hidden>
Date: Mon Nov 10 07:29:58 2014 -0800

    Update i18n translation for neutron.db log msg's

    Validate that hacking rules apply to directory neutron/db
    Partial-bug: #1320867

    Change-Id: Iffdaa28bf5d5d503623f1f6dec4a8003f48974d8

Reviewed: https://review.openstack.org/133504
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=adbc316827fdd918ed21b3e3cf816129575053b0
Submitter: Jenkins
Branch: master

commit adbc316827fdd918ed21b3e3cf816129575053b0
Author: Gary Kotton <email address hidden>
Date: Mon Nov 10 07:39:40 2014 -0800

    Update i18n translation for neutron.extension log msg's

    Validate that hacking rules apply to directory neutron/extensions

    Change-Id: Ifbc97ae2b5670fbdf22c7d0ae48f91a7776daf01
    Partial-bug: #1320867

Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → Cedric Brandily (cbrandily)

Reviewed: https://review.openstack.org/133517
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=b8930e8f92f447f47ceca5d80d9b02eb1c01fc26
Submitter: Jenkins
Branch: master

commit b8930e8f92f447f47ceca5d80d9b02eb1c01fc26
Author: Gary Kotton <email address hidden>
Date: Mon Nov 10 08:19:06 2014 -0800

    Update i18n translation for neutron.api log msg's

    Validate that hacking rules apply to directory neutron/api

    Change-Id: Idd54964dbb3a48505c20117c79ce57913a7f1c12
    Partial-bug: #1320867

Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → Cedric Brandily (cbrandily)

Reviewed: https://review.openstack.org/133684
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=cbf2970a57edbec69600a8f098a2d464615a6754
Submitter: Jenkins
Branch: master

commit cbf2970a57edbec69600a8f098a2d464615a6754
Author: Gary Kotton <email address hidden>
Date: Tue Nov 11 05:19:19 2014 -0800

    Update i18n translation for neutron.common/debug log msg's

    Validate that hacking rules apply to directories:
        - neutron/common
        - neutron/hacking
        - neutron/debug
        - neutron/locale

    Change-Id: I177f5fa5fb7cfdcf332949933aa4bd755a90bb94
    Partial-bug: #1320867

Reviewed: https://review.openstack.org/133687
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=09566e272f200712bb6c44638f3776dbb1478006
Submitter: Jenkins
Branch: master

commit 09566e272f200712bb6c44638f3776dbb1478006
Author: Gary Kotton <email address hidden>
Date: Tue Nov 11 05:28:21 2014 -0800

    Update i18n translation for neutron.notifiers log msg's

    Validate that hacking rules apply to directories:
     - neutron/notifiers
     - neutron/openstack (this is already 'clean')

    Change-Id: I37b8c45e20d2f59e4e9f5d80d5dc87f19a7a8b3a
    Partial-bug: #1320867

Fix proposed to branch: master
Review: https://review.openstack.org/136105

Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → Cedric Brandily (cbrandily)

Reviewed: https://review.openstack.org/133690
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=25d3e0114ad83d6114bd1844d750e3c3272b6c35
Submitter: Jenkins
Branch: master

commit 25d3e0114ad83d6114bd1844d750e3c3272b6c35
Author: Gary Kotton <email address hidden>
Date: Tue Nov 11 05:43:55 2014 -0800

    Update i18n translation for neutron.server/scheduler log msg's

    Validate that hacking rules apply to directories:
    - neutron/scheduler
    - neutron/server

    Change-Id: I1353f5c8b01f85e4995ee1fb23a066506ed98e3f
    Partial-bug: #1320867

Reviewed: https://review.openstack.org/133709
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=fa70c4011f94fc1ab59a66b8e0baa750ce06d181
Submitter: Jenkins
Branch: master

commit fa70c4011f94fc1ab59a66b8e0baa750ce06d181
Author: Cedric Brandily <email address hidden>
Date: Tue Nov 11 15:26:14 2014 +0100

    Enforce log hints in neutron.services.l3_router

    This change enforces log hints use and removes debug level log
    translation, modifications are validated through a hacking rule.

    Validate that hacking rules apply to directories:
        - neutron/services/l3_router

    Change-Id: I2a832c5e0c4ed2a944d199d6a2d6233b8cf838dd
    Partial-bug: #1320867

Reviewed: https://review.openstack.org/133723
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=cc537ebf5781e145aaf54a63436ae9d8ad676ddc
Submitter: Jenkins
Branch: master

commit cc537ebf5781e145aaf54a63436ae9d8ad676ddc
Author: Cedric Brandily <email address hidden>
Date: Tue Nov 11 16:00:57 2014 +0100

    Enforce log hints in neutron.services.firewall

    This change enforces log hints use and removes debug level log
    translation, modifications are validated through a hacking rule.

    Validate that hacking rules apply to directories:
        - neutron/services/firewall

    Change-Id: Ie3f75fe207652cbd800cef067a89a819696d1f3a
    Partial-bug: #1320867

Reviewed: https://review.openstack.org/133732
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=0e8c8a4bc05f995b212e9bd37d655c6618f3d5d8
Submitter: Jenkins
Branch: master

commit 0e8c8a4bc05f995b212e9bd37d655c6618f3d5d8
Author: Cedric Brandily <email address hidden>
Date: Tue Nov 11 17:01:54 2014 +0100

    Enforce log hints in neutron.services.loadbalancer

    This change enforces log hints use and removes debug level log
    translation, modifications are validated through a hacking rule and
    the change respects loggging guidelines.

    Validate that hacking rules apply to directories:
        - neutron/services/loadbalancer

    Change-Id: I5f2a1a8861728399f3852fc9704eb160c35f7f8d
    Partial-bug: #1320867

Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Romil Gupta (romilg)
Changed in neutron:
assignee: Romil Gupta (romilg) → Gary Kotton (garyk)

Fix proposed to branch: master
Review: https://review.openstack.org/136631

Changed in neutron:
assignee: Gary Kotton (garyk) → Irena Berezovsky (irenab)
Changed in neutron:
assignee: Irena Berezovsky (irenab) → Gary Kotton (garyk)

Reviewed: https://review.openstack.org/133743
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=8a99a4a35f3f0c6ec5a10e1cee9d6f702bd4b0c5
Submitter: Jenkins
Branch: master

commit 8a99a4a35f3f0c6ec5a10e1cee9d6f702bd4b0c5
Author: Cedric Brandily <email address hidden>
Date: Tue Nov 11 17:11:28 2014 +0100

    Enforce log hints in neutron.services.metering

    This change enforces log hints use and removes debug level log
    translation, modifications are validated through a hacking rule.

    Validate that hacking rules apply to directories:
        - neutron/services/metering

    Change-Id: Ic763e81e8b06973013115af45c7c09a3e69c673b
    Partial-bug: #1320867

Reviewed: https://review.openstack.org/133747
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=6e7614fabd2c9e913b74281953b30c3a5f261622
Submitter: Jenkins
Branch: master

commit 6e7614fabd2c9e913b74281953b30c3a5f261622
Author: Cedric Brandily <email address hidden>
Date: Tue Nov 11 17:18:19 2014 +0100

    Enforce log hints in neutron.services

    This change enforces log hints use and removes debug level log
    translation, modifications are validated through a hacking rule.

    Validate that hacking rules apply to directories:
        - neutron/services

    Change-Id: Ib744b7a94705afbefeb50b5dce933d226831f580
    Partial-bug: #1320867

Changed in neutron:
assignee: Gary Kotton (garyk) → Romil Gupta (romilg)
Changed in neutron:
assignee: Romil Gupta (romilg) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → Irena Berezovsky (irenab)

Reviewed: https://review.openstack.org/130992
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=6d67c14e1aff135b683d83d78f514bf8b4416853
Submitter: Jenkins
Branch: master

commit 6d67c14e1aff135b683d83d78f514bf8b4416853
Author: Romil Gupta <email address hidden>
Date: Sun Oct 26 06:18:53 2014 -0700

    Update i18n translation for ML2 plugin log msg's

    All the existing LOG.info, LOG.warning, LOG.error and LOG.critical
    messages should have _LI, _LW, _LE and _LC respectively.
     Also, debug level log shouldn't be translated.

    This patch set will cover the ml2 directory under neutron/plugins.

    Partial-Bug: #1320867
    Change-Id: I9d78d23bbc14e7c536c6ddf2dc4f52c67faeb667

Reviewed: https://review.openstack.org/134221
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=2f8ec46314ea414c0594d3f2102a1bcc3524f3de
Submitter: Jenkins
Branch: master

commit 2f8ec46314ea414c0594d3f2102a1bcc3524f3de
Author: Romil Gupta <email address hidden>
Date: Thu Nov 13 05:42:55 2014 -0800

    Update i18n translation for openvswitch log msg's

    This patch set covers the openvswitch directory under neutron/plugins.

    Partial-Bug: #1320867
    Change-Id: I8a80ca6e45a32bd2945ddf4401f6820d99c93c28

Changed in neutron:
assignee: Irena Berezovsky (irenab) → Gary Kotton (garyk)

Fix proposed to branch: master
Review: https://review.openstack.org/136743

Changed in neutron:
assignee: Gary Kotton (garyk) → Irena Berezovsky (irenab)
assignee: Irena Berezovsky (irenab) → Bob Melander (bob-melander)

Reviewed: https://review.openstack.org/134338
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=d9ba4c3441e1406b81c3e37a8f7fd60e9766d277
Submitter: Jenkins
Branch: master

commit d9ba4c3441e1406b81c3e37a8f7fd60e9766d277
Author: Romil Gupta <email address hidden>
Date: Thu Nov 13 10:59:42 2014 -0800

    Update i18n translation for linuxbridge log msg's

    This patch set covers the linuxbridge directory under neutron/plugins.

    Partial-Bug: #1320867
    Change-Id: I603f9ae8f95bf1b1815edaca49e728fa378cf6ba

Changed in neutron:
assignee: Bob Melander (bob-melander) → YAMAMOTO Takashi (yamamoto)
Changed in neutron:
assignee: YAMAMOTO Takashi (yamamoto) → Gary Kotton (garyk)
assignee: Gary Kotton (garyk) → Bob Melander (bob-melander)

Fix proposed to branch: master
Review: https://review.openstack.org/136996

Changed in neutron:
assignee: Bob Melander (bob-melander) → Gary Kotton (garyk)

Fix proposed to branch: master
Review: https://review.openstack.org/137012

Changed in neutron:
assignee: Gary Kotton (garyk) → Irena Berezovsky (irenab)
assignee: Irena Berezovsky (irenab) → Gary Kotton (garyk)

Fix proposed to branch: master
Review: https://review.openstack.org/137040

Changed in neutron:
assignee: Gary Kotton (garyk) → Irena Berezovsky (irenab)

Fix proposed to branch: master
Review: https://review.openstack.org/137045

Changed in neutron:
assignee: Irena Berezovsky (irenab) → Cedric Brandily (cbrandily)

Fix proposed to branch: master
Review: https://review.openstack.org/137059

Fix proposed to branch: master
Review: https://review.openstack.org/137065

Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Irena Berezovsky (irenab)
assignee: Irena Berezovsky (irenab) → Cedric Brandily (cbrandily)

Reviewed: https://review.openstack.org/136743
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=50f2a4f056961eebdea7a87c4e52088c39f3d3cc
Submitter: Jenkins
Branch: master

commit 50f2a4f056961eebdea7a87c4e52088c39f3d3cc
Author: Bob Melander <email address hidden>
Date: Mon Nov 24 12:59:20 2014 +0100

    Update i18n translation for Cisco plugins and cfg agent log msg's

    All the existing LOG.info, LOG.warning, LOG.error and LOG.critical
    messages should have _LI, _LW, _LE and _LC respectively. Also, debug
    level log shouldn't be translated. This patch set will cover the cisco
    directory under neutron/plugins.

    Change-Id: I4463ea3f4ec72f683d61043105a7883f629cefe9
    Partial-Bug: #1320867

Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Gary Kotton (garyk)

Change abandoned by garyk (<email address hidden>) on branch: master
Review: https://review.openstack.org/137040
Reason: Treated by https://review.openstack.org/#/c/137059/1

Changed in neutron:
assignee: Gary Kotton (garyk) → YAMAMOTO Takashi (yamamoto)
Changed in neutron:
assignee: YAMAMOTO Takashi (yamamoto) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → Irena Berezovsky (irenab)
Changed in neutron:
assignee: Irena Berezovsky (irenab) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → YAMAMOTO Takashi (yamamoto)
assignee: YAMAMOTO Takashi (yamamoto) → Irena Berezovsky (irenab)
Changed in neutron:
assignee: Irena Berezovsky (irenab) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → YAMAMOTO Takashi (yamamoto)
Changed in neutron:
assignee: YAMAMOTO Takashi (yamamoto) → Gary Kotton (garyk)
assignee: Gary Kotton (garyk) → Irena Berezovsky (irenab)
Changed in neutron:
assignee: Irena Berezovsky (irenab) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → Irena Berezovsky (irenab)
Changed in neutron:
assignee: Irena Berezovsky (irenab) → Cedric Brandily (cbrandily)
Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → Irena Berezovsky (irenab)

Reviewed: https://review.openstack.org/136966
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=fda6226a345c709da3facc464826344b6b05e994
Submitter: Jenkins
Branch: master

commit fda6226a345c709da3facc464826344b6b05e994
Author: YAMAMOTO Takashi <email address hidden>
Date: Tue Nov 25 13:53:02 2014 +0900

    hacking: Check if correct log markers are used

    Makes the check tighter and would detect mistakes
    like LOG.info(_LE("foo")).

    This would reduce reviewer loads for relevant changes.

    Partial-Bug: #1320867
    Change-Id: I66c7ab1fd9b40beb857dc6c4b143ca47a5ebce4b

Changed in neutron:
assignee: Irena Berezovsky (irenab) → Cedric Brandily (cbrandily)

Reviewed: https://review.openstack.org/136105
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=e672728a256f27c8082617dcca74c99cd2d85bed
Submitter: Jenkins
Branch: master

commit e672728a256f27c8082617dcca74c99cd2d85bed
Author: Gary Kotton <email address hidden>
Date: Thu Nov 20 11:53:27 2014 -0800

    Update i18n translation for VMware NSX plugin log msg's

    All the existing LOG.info, LOG.warning, LOG.error and LOG.critical
    messages should have _LI, _LW, _LE and _LC respectively. Also, debug
    level log shouldn't be translated. This patch set will cover the vmware
    directory under neutron/plugins.

    Change-Id: Iba83af988cb2de919b05108f145efb19e9192ae4
    Partial-Bug: #1320867

Reviewed: https://review.openstack.org/136631
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=9a8934d05c6cb19f1d2f938422c8304b5d296460
Submitter: Jenkins
Branch: master

commit 9a8934d05c6cb19f1d2f938422c8304b5d296460
Author: Irena Berezovsky <email address hidden>
Date: Sun Nov 23 15:39:09 2014 +0200

    Update i18n translation for Mellanox plugin and agent log msg's

    All the existing LOG.info, LOG.warning, LOG.error and LOG.critical
    messages should have _LI, _LW, _LE and _LC respectively. Also, debug
    level log shouldn't be translated. This patch set will cover the mlnx
    directory under neutron/plugins.

    Change-Id: Idfdb38360888002b066c8ac2d177a92b2ac173f4
    Partial-Bug: #1320867

Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Gary Kotton (garyk)
Changed in neutron:
assignee: Gary Kotton (garyk) → Cedric Brandily (cbrandily)

Fix proposed to branch: master
Review: https://review.openstack.org/138339

Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Gary Kotton (garyk)

Fix proposed to branch: master
Review: https://review.openstack.org/138341

Changed in neutron:
assignee: Gary Kotton (garyk) → Cedric Brandily (cbrandily)
Changed in neutron:
assignee: Cedric Brandily (cbrandily) → Gary Kotton (garyk)

Reviewed: https://review.openstack.org/137059
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=bd8fe77e37f27c92fa318c7a02af97672e0438e9
Submitter: Jenkins
Branch: master

commit bd8fe77e37f27c92fa318c7a02af97672e0438e9
Author: Cedric Brandily <email address hidden>
Date: Tue Nov 25 13:30:23 2014 +0000

    Enforce log hints in neutron.plugins.sriovnicagent

    This change enforces log hints use and removes debug level log
    translation, modifications are validated through a hacking rule and
    the change respects loggging guidelines.

    Validate that hacking rules apply to directories:
        - neutron/plugins/sriovnicagent

    Partial-bug: #1320867

    Change-Id: Idde3d69c982db49e6b1510d6a6094af82fa25b13

Reviewed: https://review.openstack.org/137045
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=8bc7f5aff3aacf714fb7f4dc87220aa3f15a9e9d
Submitter: Jenkins
Branch: master

commit 8bc7f5aff3aacf714fb7f4dc87220aa3f15a9e9d
Author: Cedric Brandily <email address hidden>
Date: Tue Nov 25 12:56:50 2014 +0000

    Enforce log hints in neutron.plugins.hyperv

    This change enforces log hints use and removes debug level log
    translation, modifications are validated through a hacking rule and
    the change respects loggging guidelines.

    Validate that hacking rules apply to directories:
        - neutron/plugins/hyperv

    Change-Id: Iea2d63a4e74bf824ee308057570c980c50e937bc
    Partial-bug: #1320867

Changed in neutron:
assignee: Gary Kotton (garyk) → Cedric Brandily (cbrandily)
assignee: Cedric Brandily (cbrandily) → Gary Kotton (garyk)

Reviewed: https://review.openstack.org/137012
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=f70b71ab15f8e860ea57be78399af9e5bea2aec0
Submitter: Jenkins
Branch: master

commit f70b71ab15f8e860ea57be78399af9e5bea2aec0
Author: Gary Kotton <email address hidden>
Date: Tue Nov 25 02:28:54 2014 -0800

    Update i18n translation for Midonet plugin

    All the existing LOG.info, LOG.warning, LOG.error and LOG.critical
    messages should have _LI, _LW, _LE and _LC respectively. Also, debug
    level log shouldn't be translated. This patch set will cover the midonet
    directory.

    Change-Id: Ic74316640015bc98ec4b2722f4039f58a9ec2379
    Partial-Bug: #1320867

Reviewed: https://review.openstack.org/138341
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=946efcaa3931d167c49e2f48e7da7cc984bbcd85
Submitter: Jenkins
Branch: master

commit 946efcaa3931d167c49e2f48e7da7cc984bbcd85
Author: Gary Kotton <email address hidden>
Date: Tue Dec 2 04:35:51 2014 -0800

    Enforce log hints in opencontrail

    This change enforces log hints use and removes debug level log
    translation, modifications are validated through a hacking rule
    and the change respects loggging guidelines. Validate that hacking
    rules apply to directories:- neutron/plugins/opencontrail

    Change-Id: I44f215a672c08c7f0046bc026abe7c6a5d1697d1
    Partial-bug: #1320867

Reviewed: https://review.openstack.org/136996
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=bfcd061bdea0f1a88544f81e2031ec8d22270aad
Submitter: Jenkins
Branch: master

commit bfcd061bdea0f1a88544f81e2031ec8d22270aad
Author: Gary Kotton <email address hidden>
Date: Tue Nov 25 01:46:50 2014 -0800

    Update i18n translation for Embrane plugin

    All the existing LOG.info, LOG.warning, LOG.error and LOG.critical
    messages should have _LI, _LW, _LE and _LC respectively. Also, debug
    level log shouldn't be translated. This patch set will cover the
    embrane directory.

    Change-Id: I89cf8e63311f96c3f1759a6c885d1b98e6fed598
    Partial-Bug: #1320867

Reviewed: https://review.openstack.org/137405
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=07cf6a1956de926976730059021c508eeb752175
Submitter: Jenkins
Branch: master

commit 07cf6a1956de926976730059021c508eeb752175
Author: Gary Kotton <email address hidden>
Date: Wed Nov 26 09:01:36 2014 -0800

    Update i18n translation for Metaplugin plugin

    All the existing LOG.info, LOG.warning, LOG.error and LOG.critical
    messages should have _LI, _LW, _LE and _LC respectively. Also, debug
    level log shouldn't be translated. This patch set will cover the
    metaplugin directory.

    Change-Id: I34437019fc8ffc38f11114d1d83dce54170ab989
    Partial-Bug: #1320867

Reviewed: https://review.openstack.org/137065
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=e2a3de6e61d6b6022e96097f3a423b3f90f77fb6
Submitter: Jenkins
Branch: master

commit e2a3de6e61d6b6022e96097f3a423b3f90f77fb6
Author: Cedric Brandily <email address hidden>
Date: Tue Nov 25 13:44:18 2014 +0000

    Enforce log hints in neutron.plugins.plumgrid

    This change enforces log hints use and removes debug level log
    translation, modifications are validated through a hacking rule and
    the change respects loggging guidelines.

    Validate that hacking rules apply to directories:
        - neutron/plugins/plumgrid

    Change-Id: Ie85abb93cdbe50bdd56c9f987784baf4c4dd631d
    Partial-bug: #1320867

Fix proposed to branch: master
Review: https://review.openstack.org/139881

Changed in neutron:
assignee: Gary Kotton (garyk) → Cedric Brandily (cbrandily)

Reviewed: https://review.openstack.org/138339
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=907094bf12f069fe5e1a3ca19a91df5de9029a32
Submitter: Jenkins
Branch: master

commit 907094bf12f069fe5e1a3ca19a91df5de9029a32
Author: Gary Kotton <email address hidden>
Date: Tue Dec 2 04:27:07 2014 -0800

    Enforce log hints in ofagent and oneconvergence

    This change enforces log hints use and removes debug level log
    translation, modifications are validated through a hacking rule
    and the change respects loggging guidelines. Validate that hacking
    rules apply to directories:-
        neutron/plugins/ofagent
        neutron/plugins/oneconvergence

    Change-Id: I520a36ae53848b828ce33f4050606a7238f4cbce
    Partial-bug: #1320867

Reviewed: https://review.openstack.org/140026
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=7bdbd6f3345e416e4f8e8c0e8f2741081ea339c6
Submitter: Jenkins
Branch: master

commit 7bdbd6f3345e416e4f8e8c0e8f2741081ea339c6
Author: Cedric Brandily <email address hidden>
Date: Mon Dec 8 15:23:47 2014 +0000

    Disallow log hints in LOG.debug

    Currently LOG.debug(_(...)) is disallowed but not LOG.debug(_Lx(...)).
    This change disallows all log hints in LOG.debug calls.

    Change-Id: I9758ad4ca9f7e8534abf38f5064b01b0c353e904
    Partial-bug: #1320867

Reviewed: https://review.openstack.org/139881
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=32ef5da4882ab583c2bd7cd04e052b67f11faf92
Submitter: Jenkins
Branch: master

commit 32ef5da4882ab583c2bd7cd04e052b67f11faf92
Author: Cedric Brandily <email address hidden>
Date: Sun Dec 7 21:35:16 2014 +0100

    Enforce log hints

    This change enforces log hints use and removes debug level log
    translation, modifications are validated through a hacking rule
    and the change respects logging guidelines.

    Change-Id: Ia4e6659b8b59732d88cd603b0e6c630fad37aae5
    Closes-bug: #1320867

Changed in neutron:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-12-18
Changed in neutron:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-04-30
Changed in neutron:
milestone: kilo-1 → 2015.1.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers